> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainloop.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Discover public shared referrer

> Returns the referrer item for a given digest in the public shared index



## OpenAPI

````yaml https://cp.chainloop.dev/openapi.yaml get /discover/shared/{digest}
openapi: 3.0.1
info:
  contact:
    email: support@chainloop.dev
    name: Chainloop Support
    url: https://chainloop.dev
  termsOfService: https://chainloop.dev/terms
  title: Chainloop Controlplane API
  version: '1.0'
servers:
  - url: https://cp.chainloop.dev/
security: []
tags:
  - description: Referrer service for discovering referred content by digest
    name: ReferrerService
    x-displayName: ReferrerService
  - name: DownloadService
    description: >-
      Operations for downloading and managing artifacts from the Content
      Addressable Storage
    x-displayName: DownloadService
externalDocs:
  description: Chainloop Official Documentation
  url: https://docs.chainloop.dev
paths:
  /discover/shared/{digest}:
    get:
      tags:
        - ReferrerService
      summary: Discover public shared referrer
      description: Returns the referrer item for a given digest in the public shared index
      operationId: ReferrerService_DiscoverPublicShared
      parameters:
        - description: Digest is the unique identifier of the referrer to discover
          in: path
          name: digest
          required: true
          schema:
            type: string
        - description: >-
            Kind is the optional type of referrer, i.e CONTAINER_IMAGE,
            GIT_HEAD, ...

            Used to filter and resolve ambiguities
          in: query
          name: kind
          schema:
            type: string
        - in: query
          name: pagination.cursor
          schema:
            type: string
        - description: Limit pagination to 100
          in: query
          name: pagination.limit
          schema:
            format: int32
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1DiscoverPublicSharedResponse'
          description: A successful response.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
          description: An unexpected error response.
      security:
        - bearerToken: []
components:
  schemas:
    v1DiscoverPublicSharedResponse:
      description: Response for the DiscoverPublicShared method
      example:
        result:
          downloadable: true
          metadata:
            key: metadata
          public: true
          references:
            - null
            - null
          kind: kind
          digest: digest
          created_at: '2000-01-23T04:56:07.000+00:00'
          annotations:
            key: annotations
        pagination:
          next_cursor: next_cursor
      properties:
        result:
          $ref: '#/components/schemas/v1ReferrerItem'
        pagination:
          $ref: '#/components/schemas/v1CursorPaginationResponse'
      title: DiscoverPublicSharedResponse
      type: object
    rpcStatus:
      example:
        code: 0
        details:
          - '@type': '@type'
          - '@type': '@type'
        message: message
      properties:
        code:
          format: int32
          type: integer
        message:
          type: string
        details:
          items:
            $ref: '#/components/schemas/protobufAny'
          type: array
      type: object
    v1ReferrerItem:
      description: It represents a referrer object in the system
      example:
        downloadable: true
        metadata:
          key: metadata
        public: true
        references:
          - null
          - null
        kind: kind
        digest: digest
        created_at: '2000-01-23T04:56:07.000+00:00'
        annotations:
          key: annotations
      properties:
        digest:
          title: Digest of the referrer, i.e sha256:deadbeef or sha1:beefdead
          type: string
        kind:
          description: Kind of referrer, i.e CONTAINER_IMAGE, GIT_HEAD, ...
          type: string
        downloadable:
          title: >-
            Downloadable indicates whether the referrer is downloadable or not
            from CAS
          type: boolean
        public:
          title: >-
            Public indicates whether the referrer is public since it belongs to
            a public workflow
          type: boolean
        references:
          items:
            $ref: '#/components/schemas/v1ReferrerItem'
          title: References contains the list of related referrer items
          type: array
        created_at:
          format: date-time
          title: CreatedAt is the timestamp when the referrer was created
          type: string
        metadata:
          additionalProperties:
            type: string
          title: >-
            Metadata contains additional descriptive information about the
            referrer
          type: object
        annotations:
          additionalProperties:
            type: string
          title: Annotations are key-value pairs associated with the referrer
          type: object
      title: ReferrerItem
      type: object
    v1CursorPaginationResponse:
      example:
        next_cursor: next_cursor
      properties:
        next_cursor:
          type: string
      type: object
    protobufAny:
      additionalProperties:
        type: object
      example:
        '@type': '@type'
      properties:
        '@type':
          type: string
      type: object
  securitySchemes:
    bearerToken:
      description: Bearer token for authentication
      type: http
      scheme: bearer
      bearerFormat: JWT

````